B2B Integration

Considerations for upgrading from IBM Sterling B2B Integrator 5.2.6.x to 6.x

By Sean McCoy posted Mon March 29, 2021 11:00 AM

  
Co -authored by @Frank Bocinec, @Andrey Furukin and @KRISHNA KISHORE KONDA


This post contains a list of steps that should be considered to ensure a successful upgrade of IBM Sterling B2B Integrator (B2Bi) from 5.2.6.x to 6.x. IBM Sterling B2B Integrator v5.2.6.x will be reaching its
End of Support on September 30, 2021.

Please note that this list is not exhaustive and should be viewed as a complement to the official documentation, not a replacement for it. You may find it helpful to review this list, to prepare for common and critical steps during the upgrade process and ensure that they are not missed.

 

Planning - Compatibility, Prerequisites, and System Requirements

1. Review "What's new" and “What’s deprecated” with B2Bi 6.x:


2. Review APAR/Fix List:

    3. Upgrade/compatibility matrix link - Make sure the version of B2Bi that you are upgrading to is a supported upgrade path.



    4. If upgrading to B2Bi 6.1.x, you can install or upgrade to the latest Fix Pack version of B2Bi in a single step without installing the intermediary version due to the New Media Changes.



    5. Software Product Compatibility Reports – Search for “IBM Sterling B2B Integrator” and select the version you are upgrading to. Make sure you verify all System Requirements for the version of B2Bi that you are upgrading to, including the additional information found by following the “Detailed system requirements” link. This verification should include at least the following:

      • Operating System
      • Databases
      • IBM Installation Manager (comes with the media)
      • JDK
      • Web Browsers
      • Disk Space
      • Memory
      • Processors
      • IBM MQ (if using adapter containers)


    6. Verify and obtain the appropriate JDBC driver for your release of B2Bi:



    7. For UNIX/Linux environments, please ensure that UNIX/Linux configurations are set.



    8. If your current setup has adapter containers, you must install and configure IBM MQ.



    9. It is critical to upgrade the JDK before running the actual B2Bi upgrade.



    Post-Installation Steps


    • Review dynamic clustering if using a clustered environment.
      • Dynamic clustering is now enabled by default via dynamic.cluster.enable=true.
      • Ensure that customer_overrides.properties doesn’t have any references to jgroups_cluster, as this will interfere with the new dynamic clustering settings.

    • After upgrading, verify that any existing entries in customer_overrides.properties are still valid for the version which you have upgraded to. If not, then comment out or remove any invalid entries.


    #Featured-area-1
    #Featured-area-1-home
    1 comment
    196 views

    Permalink

    Comments

    Tue April 13, 2021 05:28 PM

    Great article! Ton of great content from industry experts!